#<profile4xi profile = "11" />  
# -------------------------------------------------------------------------------------------------
#<program4xi program = "zap0200six4xi.py">
#<abstract4xi abstract = "zaps to direction six"/>
#<verify4xi verification = "11" target = "zap2actor4xi.py"/>
#<refer4xi reference = "zap2actor4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
6#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'zap0200six4xi']
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import itertools
import logging 
import os
import threading                
import signal
import sys
from math import pi
from math import sin
from math import cos 
from math import fabs
import weakref
import _thread
import _winapi
 
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from zap2module4xi import ModuleKB2Zap4Xi
from print4xi      import print4xi
from time4xi       import time4xi
#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
# do NO define any globals for this kind of multiprocessing/thread module !!
#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False
ack2dragontrace = False 
#" 
#"/>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "zap0200six4xi" usage = "target function for zap0000six4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/> 
# -------------------------------------------------------------------------------------------------
def zap0200six4xi(queue0200six, consumer_channel0200six, publisher_channel0200six, kb0200six4param):  
    '''
    returns layer 0200 of direction six
    ''' 
    # -------------------------------------------------------------------------------------------------
    # (Step 1/33)             
    # -------------------------------------------------------------------------------------------------   
    class2print  = 'zap0200six4xi'
    method2print = 'zap0200six4xi'
        
    # -------------------------------------------------------------------------------------------------
    # (Step 2/33)                      
    # -------------------------------------------------------------------------------------------------                                                               
    if ack2debug is True:
        print("\n (Step 2A/33) OF ZAP0200SIX4XI - STARTED TIME: ", time4xi())                                                       #  
        print("\n (Step 2B/33) OF ZAP0200SIX4XI -  QUEUE0200SIX: ", queue0200six)                                                   # 
        print("\n (Step 2C/33) OF ZAP0200SIX4XI -  CONSUME_CHANNEL0200SIX: ", consumer_channel0200six)                              # 
        print("\n (Step 2D/33) OF ZAP0200SIX4XI -  PUBLISHER_CHANNEL0200SIX: ", publisher_channel0200six)                           # 
        print("\n (Step 2E/33) OF ZAP0200SIX4XI -  KB0200SIX4PARAM: ", kb0200six4param)                                                         
        # 
        
    message2print = "{(Step 2A/33) started" + "; zap0200six4xi-started: " + str(zap0200six4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                                                                              # 
        
    message2print = "{(Step 2B/33) passed" + "; queue0200six-passed-to-zap0200six4xi: " + str(queue0200six) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                                                                              # 
                  
    message2print = "{(Step 2C/33) passed" + "; consumer-channel0200six-passed-to-zap0200six4xi: " + str(consumer_channel0200six) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                                                                              #    
    
    message2print = "{(Step 2D/33) passed" + "; publisher-channel0200six-passed-to-zap0200six4xi: " + str(publisher_channel0200six) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                                                                              #          
    
    message2print = "{(Step 2E/33) passed" + "; kb0200six4param-passed-to-zap0200six4xi: " + str(kb0200six4param) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                                                                              #          
    # {   '-19x7y-97z': {'2xi': {1: 6, 2: 100, 3: {1: 15707.963267948966, 2: '#9A9591', 3: 57, 4: 275.57830294647306}, 4: 'dragon-19x7y-97z', 5: '#4C7094', 6: 182, 7: 30, 8: Decimal('99.0908673895'), 9: Decimal('0'), 10: 6, 11: '{started; get-exitcode-to-name4xi-started: function get_exitcode_to_name4xi at 0x02AAD108; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'get_exitcode_to_name4xi', 13: 1}, '8xi': {}, '4xi': {}},
    #  '-24x196y-458z': {'2xi': {1: 6, 2: 500, 3: {1: 392699.0816987241, 2: '#9A9591', 3: 76, 4: 5167.09318024637}, 4: 'dragon-24x196y-458z', 5: '#356C6C', 6: 561, 7: 20, 8: Decimal('498.754448602'), 9: Decimal('-1'), 10: 6, 11: "{sensed; constantprocess4xi-sensed-by-sense-of-ConstantProcess4Xi: class 'constant_process4xi.ConstantProcess4Xi'; time: 08:11:13 10/21/10 Pacific Daylight Time}", 12: 'sense', 13: 2}, '8xi': {}, '4xi': {}},
    #  '-117x143y-74z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-117x143y-74z', 5: '#356C6C', 6: 259, 7: 20, 8: Decimal('199.032660636'), 9: Decimal('0'), 10: 6, 11: '{returning; close-process4xi-returning-by-constant-process4xi: 1; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1}, '8xi': {}, '4xi': {}},
    #  '-103x265y-95z': {'2xi': {1: 6, 2: 300, 3: {1: 141371.6694115407, 2: '#9A9591', 3: 50, 4: 2827.433388230814}, 4: 'dragon-103x265y-95z', 5: '#356C6C', 6: 317, 7: 20, 8: Decimal('299.764907886'), 9: Decimal('0'), 10: 6, 11: '{returning; get-all-process4xi-function-returning-by-get-all-of-ConstantProcess4Xi: function get_all_process4xi at 0x02AAD1E0; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'get_all', 13: 2}, '8xi': {}, '4xi': {}},
    #    '-46x40y-79z': {'2xi': {1: 6, 2: 100, 3: {1: 15707.963267948966, 2: '#9A9591', 3: 57, 4: 275.57830294647306}, 4: 'dragon-46x40y-79z', 5: '#4C7094', 6: 177, 7: 30, 8: Decimal('99.7847683767'), 9: Decimal('0'), 10: 6, 11: '{returning; unknown-process4xi-returning-by-get-unknown-process4xi: unknown; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'get_unknown_process4xi', 13: 1}, '8xi': {}, '4xi': {}}
    # ...
       
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # (Step 3/33)
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    if ack2debug is True:
        print("\n (Step 3/33) OF ZAP0200SIX4XI - TRYING TO PUT LAYER 0200 TO QUEUE0200SIX: ", queue0200six)                         # 
    message2print = "{(Step 3/33) using" + "; queue0200six-using-by-zap0200six4xi: " + str(queue0200six)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                                                                              #  
            
    ack0200put4six = False                                                                                                                           

    # ------------------------------------------------------------------------------------- 
    # (Step 4/33) 
    # -------------------------------------------------------------------------------------                 

    # ------------------------------------------------------------------------------------- 
    # CONSTANTS VALID FOR ANY ZAP-KOWLEDGEBASE  
    # -------------------------------------------------------------------------------------     
    key2sense       = '2xi'
    key2reason      = '4xi'
    key2ace         = '8xi'
    key2direction   = 1
    key2distance    = 2
    key2layer       = 3
    
    key2area4layer  = 1
    key2color4layer = 2
    key2qty4layer   = 3
    key2area4node   = 4
    
    key2identity    = 4 
    key2color       = 5
    key2fire        = 6
    key2cluster     = 7
    key2ray         = 8
    key2deviation   = 9 
    key2super       = 10
    key2message     = 11
    key2actor       = 12
    key2type        = 13
    key2home        = 14
    key2previous    = 15
    key2next        = 16
    key2last        = 17
    key2first       = 18
    key2module      = 19
      
    # ------------------------------------------------------------------------------------- 
    # (Step 5/33) CONSTANTS VALID FOR LAYER 0200 OF DIRECTION SIX 
    # ------------------------------------------------------------------------------------- 
    direction0200sense4six = 6                                                                                                      # DIRECTION
    message2print = "{(Step 5A/33) set" + "; direction0200sense4six-set-by-zap0200six4xi to: " + str(direction0200sense4six)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                                                                              #  
            
    distance0200sense4six  = 200                                                                                                     # DISTANCE = LAYER
    message2print = "{(Step 5B/33) set" + "; distance0200sense4six-set-by-zap0200six4xi to: " + str(distance0200sense4six)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                                                                              #  
                                                                 
    # ------------------------------------------------------------------------------------- 
    # (Step 6/33) CREATE NEW KNOWLEDGEBASE FOR LAYER 0200 OF DIRECTION SIX 
    # -------------------------------------------------------------------------------------         
    kb0200six = kb0200six4param                                                                                                     # use own kb0200six
    keys0200six = kb0200six.keys()
    kb0200six2put = {}
    for key0200six in keys0200six:
        if ((kb0200six[key0200six] [key2sense] [key2distance] == distance0200sense4six) and (kb0200six[key0200six] [key2sense] [key2direction] == direction0200sense4six)):
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------        
            if ack2debug is True:
                print("\n (Step 6A0/33) OF ZAP0200SIX4XI - LEVEL NODE'S KEY: ", key0200six, " CONTENT: ", kb0200six[key0200six])
                                                                                                                                    #  
            message2print = "{(Step 6A0/33) set" + "; nodekey-set-by-zap0200six4xi to: " + str(key0200six)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print)                                                                      #                    
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------         
            try:                                                                                                                    
                kb0200six2put [key0200six] = {}                                                                                     # SAVE THE LAYER OF THE REQUIRED DIRECTION
            except:
                print("\n (Step 6A/33) OF ZAP0200SIX4XI *** FAILED TO SET LAYER 0200 TO QUEUE0200SIX: ", key0200six)
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                 
            try:         
                kb0200six2put [key0200six] [key2sense]  = {}                                                                        # SENSE
            except:
                print("\n (Step 6B/33) OF ZAP0200SIX4XI *** FAILED TO SET LAYER 0200 TO QUEUE0200SIX: ", key0200six)
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (Step 6C/33) OF ZAP0200SIX4XI - TRYING TO SET DIRECTION TO : ", kb0200six [key0200six] [key2sense] )      # 
            try:                             
                kb0200six2put [key0200six] [key2sense] [key2direction] = kb0200six [key0200six] [key2sense] [key2direction]         # DIRECTION 
                message2print = "{(Step 6D/33) set" + "; direction-of-zap-set-by-zap0200six4xi to: " + str(kb0200six2put [key0200six] [key2sense] [key2direction])  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                                  # 
                         
            except:
                print("\n (Step 6E/33) OF ZAP0200SIX4XI *** FAILED TO SET LAYER 0200 TO QUEUE0200SIX: ", key0200six)
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                 
            if ack2debug is True:
                print("\n (Step 6F/33) OF ZAP0200SIX4XI - TRYING TO SET DISTANCE TO: ", kb0200six [key0200six] [key2sense] )      #                
            try:                             
                kb0200six2put [key0200six] [key2sense] [key2distance] = kb0200six [key0200six][key2sense] [key2distance]            # DISTANCE
                message2print = "{(Step 6G/33) set" + "; distance-of-zap-set-by-zap0200six4xi to: " + str(kb0200six2put [key0200six] [key2sense] [key2distance])  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                                  # 
            except:
                print("\n (Step 6B4B/33) OF ZAP0200SIX4XI *** FAILED TO SET LAYER 0200 TO QUEUE0200SIX: ", key0200six)
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                 
            if ack2debug is True:
                print("\n (Step 6B5A/33) OF ZAP0200SIX4XI - TRYING TO SET LAYER TO: ", kb0200six [key0200six] [key2sense] )       #        
            try:                             
                kb0200six2put [key0200six] [key2sense] [key2layer] = {}                                                             # LAYER
                message2print = "{(Step 6B4A/33) set" + "; layer-of-zap-set-by-zap0200six4xi to: " + str(kb0200six2put [key0200six] [key2sense] [key2layer])  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                                  #                 
            except:
                print("\n (Step 6B5B/33) OF ZAP0200SIX4XI *** FAILED TO SET LAYER 0200 TO QUEUE0200SIX: ", key0200six)
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                 
            if ack2debug is True:
                print("\n (Step 6B6A/33) OF ZAP0200SIX4XI - TRYING TO SET AREA FOR LAYER TO: ", kb0200six [key0200six]  [key2sense] [key2layer] )                   
            try:                                                                                                                    #                     
                kb0200six2put [key0200six] [key2sense] [key2layer] [key2area4layer] = kb0200six [key0200six] [key2sense] [key2layer] [key2area4layer] 
                                                                                                                                    # AREA2LAYER
                message2print = "{(Step 6B4A/33) set" + "; area2layer-of-zap-set-by-zap0200six4xi to: " + str(kb0200six2put [key0200six] [key2sense] [key2layer] [key2area4layer])  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                                  #               
            except:
                print("\n (Step 6B6B/33) OF ZAP0200SIX4XI *** FAILED TO SET LAYER 0200 TO QUEUE0200SIX: ", key0200six)
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                 
            if ack2debug is True:
                print("\n (Step 6B7A/33) OF ZAP0200SIX4XI - TRYING TO SET COLOR TO LAYER TO: ", kb0200six [key0200six]  [key2sense] [key2layer] )
                                                                                                                                    #                    
            try:                             
                kb0200six2put [key0200six] [key2sense] [key2layer] [key2color4layer] = kb0200six [key0200six] [key2sense] [key2layer] [key2color4layer]
                                                                                                                                    # 
                message2print = "{(Step 6B4A/33) set" + "; color2layer-of-zap-set-by-zap0200six4xi to: " + str(kb0200six2put [key0200six] [key2sense] [key2layer] [key2color4layer])  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                                  #             
            except:
                print("\n (Step 6B7B/33) OF ZAP0200SIX4XI *** FAILED TO SET LAYER 0200 TO QUEUE0200SIX: ", key0200six)
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                 
            if ack2debug is True:
                print("\n (Step 6B8A/33) OF ZAP0200SIX4XI - TRYING TO SET QUANTITY TO LAYER TO: ", kb0200six [key0200six]  [key2sense] [key2layer] )
                                                                                                                                    #                         
            try:                             
                kb0200six2put [key0200six] [key2sense] [key2layer] [key2qty4layer] = kb0200six [key0200six] [key2sense] [key2layer] [key2qty4layer]
                                                                                                                                    # 
                message2print = "{(Step 6B8B/33) set" + "; qty2layer-of-zap-set-by-zap0200six4xi to: " + str(kb0200six2put [key0200six] [key2sense] [key2layer] [key2qty4layer])  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                                  #                 
            except:
                print("\n (Step 6B8C/33) OF ZAP0200SIX4XI *** FAILED TO SET LAYER 0200 TO QUEUE0200SIX: ", key0200six)
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                 
            if ack2debug is True:
                print("\n (Step 6B9A/33) OF ZAP0200SIX4XI - TRYING TO SET AREA TO LAYER TO: ", kb0200six  [key0200six] [key2sense] [key2layer] )
                                                                                                                                    #                           
            try:                             
                kb0200six2put [key0200six] [key2sense] [key2layer] [key2area4node] = kb0200six [key0200six] [key2sense] [key2layer] [key2area4node]
                                                                                                                                    # AREA2NODE
                message2print = "{(Step 6B9B/33) set" + "; area2node-of-zap-set-by-zap0200six4xi to: " + str(kb0200six2put [key0200six] [key2sense] [key2layer] [key2area4node])  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                                  #              
            except:
                print("\n (Step 6B9C/33) OF ZAP0200SIX4XI *** FAILED TO SET LAYER 0200 TO QUEUE0200SIX: ", key0200six)
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                 
            if ack2debug is True:
                print("\n (Step 6B10A/33) OF ZAP0200SIX4XI - TRYING TO SET IDENTITY TO: ", kb0200six  [key0200six] [key2sense] )  #                
            try:                              
                kb0200six2put [key0200six] [key2sense] [key2identity] = kb0200six[ key0200six] [key2sense] [key2identity]           # IDENTITY
                message2print = "{(Step 6B10B/33) set" + "; identity-of-zap-set-by-zap0200six4xi to: " + str(kb0200six2put [key0200six] [key2sense] [key2identity])  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                                  #                 
            except:
                print("\n (Step 6B10C/33) OF ZAP0200SIX4XI *** FAILED TO SET LAYER 0200 TO QUEUE0200SIX: ", key0200six)
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                 
            if ack2debug is True:
                print("\n (Step 6B11A/33) OF ZAP0200SIX4XI - TRYING TO SET COLOR TO: ", kb0200six [key0200six]  [key2sense] )     #               
            try:                              
                kb0200six2put [key0200six] [key2sense] [key2color] = kb0200six [key0200six]  [key2sense] [key2color]                # COLOR
                message2print = "{(Step 6B4A/33) set" + "; color-of-zap-set-by-zap0200six4xi to: " + str(kb0200six2put [key0200six] [key2sense] [key2color])  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                                  #                 
            except:
                print("\n (Step 6B11B/33) OF ZAP0200SIX4XI *** FAILED TO SET LAYER 0200 TO QUEUE0200SIX: ", key0200six)
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                 
            if ack2debug is True:
                print("\n (Step 6B12A/33) OF ZAP0200SIX4XI - TRYING TO SET FIRE TO: ", kb0200six [key0200six]  [key2sense] )      # 
            try:                             
                kb0200six2put [key0200six] [key2sense] [key2fire] = kb0200six [key0200six]  [key2sense] [key2fire]                  # FIRE 
                message2print = "{STEP 2B12A/33) set" + "; fire-of-zap-set-by-zap0200six4xi to: " + str(kb0200six2put [key0200six] [key2sense] [key2fire])  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                                  # 
                        
            except:
                print("\n (Step 6B12B/33) OF ZAP0200SIX4XI *** FAILED TO SET LAYER 0200 TO QUEUE0200SIX: ", key0200six)
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                 
            if ack2debug is True:
                print("\n (Step 6B13A/33) OF ZAP0200SIX4XI - TRYING TO SET CLUSTER TO: ", kb0200six [key0200six]  [key2sense] )   # 
                                  
            try:                             
                kb0200six2put [key0200six] [key2sense] [key2cluster] = kb0200six [key0200six]  [key2sense] [key2cluster]            # 
                message2print = "{(Step 6B4A/33) set" + "; cluster-set-by-zap0200six4xi to: " + str(kb0200six2put [key0200six] [key2sense] [key2cluster])  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                                  #                 
            except:
                print("\n (Step 6B13B/33) OF ZAP0200SIX4XI *** FAILED TO SET LAYER 0200 TO QUEUE0200SIX: ", key0200six)
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                 
            if ack2debug is True:
                print("\n (Step 6B14A/33) OF ZAP0200SIX4XI - TRYING TO SET RAY: ", kb0200six [key0200six]  [key2sense] )       #             
            try:                             
                kb0200six2put[key0200six] [key2sense] [key2ray] = kb0200six [key0200six]  [key2sense] [key2ray]                     # RAY 
                message2print = "{(Step 6B4A/33) set" + "; ray-of-zap-set-by-zap0200six4xi to: " + str(kb0200six2put[key0200six] [key2sense] [key2ray])  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                                  #                
            except:
                print("\n (Step 6B14B/33) OF ZAP0200SIX4XI *** FAILED TO SET LAYER 0200 TO QUEUE0200SIX: ", key0200six)
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                 
            if ack2debug is True:
                print("\n (Step 6B15A/33) OF ZAP0200SIX4XI - TRYING TO SET DEVIATION TO: ", kb0200six [key0200six]  [key2sense] ) #                 
            try:                             
                kb0200six2put [key0200six] [key2sense] [key2deviation] = kb0200six [key0200six]  [key2sense] [key2deviation]        # DEVIATION
                message2print = "{(Step 6B4A/33) set" + "; deviation-of-zap-set-by-zap0200six4xi to: " + str(kb0200six2put [key0200six] [key2sense] [key2deviation])  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                                  #                
            except:
                print("\n (Step 6B15B/33) OF ZAP0200SIX4XI *** FAILED TO SET LAYER 0200 TO QUEUE0200SIX: ", key0200six)
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                 
            if ack2debug is True:
                print("\n (Step 6B16A/33) OF ZAP0200SIX4XI - TRYING TO SET SUPER TO: ", kb0200six [key0200six]  [key2sense] )     #                
            try:                              
                kb0200six2put[key0200six] [key2sense] [key2super] = kb0200six [key0200six]  [key2sense] [key2super]                 # SUPER
                message2print = "{(Step 6B4A/33) set" + "; super-of-zap-set-by-zap0200six4xi to: " + str(kb0200six2put[key0200six] [key2sense] [key2super])  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                                  #                
            except:
                print("\n (Step 6B16B/33) OF ZAP0200SIX4XI *** FAILED TO SET LAYER 0200 TO QUEUE0200SIX: ", key0200six)
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                 
            if ack2debug is True:
                print("\n (Step 6B17A/33) OF ZAP0200SIX4XI - TRYING TO SET MESSAGE TO: ", kb0200six [key0200six]  [key2sense] )   #               
            try:                             
                kb0200six2put [key0200six] [key2sense] [key2message] = kb0200six [key0200six]  [key2sense] [key2message]            # MESSAGE
                message2print = "{(Step 6B4A/33) set" + "; message-of-zap-set-by-zap0200six4xi to: " + str(kb0200six2put [key0200six] [key2sense] [key2message])  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                                  # 
                                 
            except:
                print("\n (Step 6B17C/33) OF ZAP0200SIX4XI - TRYING TO GENERATE DUMMY MESSAGE TO: ", kb0200six [key0200six]  [key2sense])     
                try:
                                                                                                                                    # set default message
                    kb0200six2put [key0200six] [key2sense] [key2message] = "{(Step 6B17C/33) yielded" + "; key2message-yielded-by-zap0200six4xi: " + str(key2message)  + "; time: " + time4xi() + "}"
                    
                    message2print = "{(Step 6B17D/33) set" + "; message-of-zap-set-by-zap0200six4xi to: " + str(kb0200six2put [key0200six] [key2sense] [key2message])  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)
                    # 

                except:    
                    print("\n (Step 6B17Z/33) OF ZAP0200SIX4XI *** FAILED TO SET MESSAGE AT LAYER 0200: ", key0200six) 
                    
                    
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                 
            if ack2debug is True:
                print("\n (Step 6B18A/33) OF ZAP0200SIX4XI - TRYING TO SET ACTOR TO: ", kb0200six [key0200six]  [key2sense] )     #                  
            try:                             
                kb0200six2put [key0200six] [key2sense] [key2actor] = kb0200six [key0200six]  [key2sense] [key2actor]                # ACTOR 
                message2print = "{(Step 6B4A/33) set" + "; actor-of-zap-set-by-zap0200six4xi to: " + str(kb0200six2put [key0200six] [key2sense] [key2actor])  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                                  #              
            except:
                try:
                    kb0200six2put [key0200six] [key2sense] [key2actor] = 'zap0200six4xi'                          # THIS BECOMES THE ACTOR!
                    message2print = "{(Step 6B18C/33) set" + "; actor-of-zap-set-by-zap0200six4xi to: " + str(kb0200six2put [key0200six] [key2sense] [key2actor])  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print) 
                except:                            
                    print("\n (Step 6B18Z/33) OF ZAP0200SIX4XI *** FAILED TO SET ACTOR AT LAYER 0200: ", key0200six)
                    # 

                    
                
                
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                 
            if ack2debug is True:
                print("\n (Step 6B19A/33) OF ZAP0200SIX4XI - TRYING TO SET TYPE TO: ", kb0200six [key0200six]  [key2sense] )      #               
            try:                             
                kb0200six2put [key0200six] [key2sense] [key2type] = kb0200six [key0200six]  [key2sense] [key2type]                  # TYPE 
                message2print = "{(Step 6B4A/33) set" + "; type-of-zap-set-by-zap0200six4xi to: " + str(kb0200six2put [key0200six] [key2sense] [key2type])  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                                  #                
            except:
                try:
                    kb0200six2put [key0200six] [key2sense] [key2type] = 1                                               # function
                    message2print = "{(Step 6B19B/33) set" + "; type-of-zap-set-by-zap0200six4xi to: " + str(kb0200six2put [key0200six] [key2sense] [key2type])  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                                                              # TYPE               
                except:
                    print("\n (Step 6B19Z/33) OF ZAP0200SIX4XI *** FAILED TO SET TYPE AT LAYER 0200: ", key0200six) 
                    # 
                    
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                 
            if ack2debug is True:
                print("\n (Step 6B20A/33) OF ZAP0200SIX4XI - TRYING TO SET REASON TO: ", kb0200six [key0200six]  )                #                   
            try:                              
                kb0200six2put [key0200six] [key2reason] = kb0200six [key0200six] [key2reason]                                       # REASON
                message2print = "{(Step 6B4A/33) set" + "; reason-of-zap-set-by-zap0200six4xi to: " + str(kb0200six2put [key0200six] [key2reason])  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                                  #                 
            except:
                print("\n (Step 6B20B/33) OF ZAP0200SIX4XI *** FAILED TO SET LAYER 0200 TO QUEUE0200SIX: ", key0200six)
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                 
            if ack2debug is True:
                print("\n (Step 6B21A/33) OF ZAP0200SIX4XI - TRYING TO SET ACE TO: ", kb0200six [key0200six]   )                  #              
            try:                             
                kb0200six2put [key0200six] [key2ace]    = kb0200six [key0200six] [key2ace]                                          # ACE
                message2print = "{(Step 6B4A/33) set" + "; ace-of-zap-set-by-zap0200six4xi to: " + str(kb0200six2put [key0200six] [key2ace])  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                                  #                
            except:
                print("\n (Step 6B21B/33) OF ZAP0200SIX4XI *** FAILED TO SET LAYER 0200 TO QUEUE0200SIX: ", key0200six)
                
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                 
            if ack2debug is True:
                print("\n (Step 6B22A/33) OF ZAP0200SIX4XI - TRYING TO SET MESSAGE TO: ", kb0200six [key0200six]  [key2sense] )     #                 
                                                                                              
            try:
                key2try = kb0200six [key0200six]  [key2sense] [key2actor]
                if ack2debug is True:
                    print("\n (Step 6B22B/33) OF ZAP0200SIX4XI - KEY2TRY: ", key2try) 
                    
                kb0200six2put [key0200six] [key2sense] [key2module] = ModuleKB2Zap4Xi[key2try]                                   
                
                message2print = "{(Step 6B22B/33) set" + "; module-set-by-zap0200six4xi to: " + str(kb0200six2put [key0200six] [key2sense] [key2module])  + "; time: " + time4xi() + "}"
                print4xi(class2print, method2print, message2print)                                                                  # 

            except:
                try:
                    kb0200six2put [key0200six] [key2sense] [key2module] = 'zap0200six4xi.py'                      # MODULE IN EXCEPTIONS
                    print("\n (Step 6B22Z1/33) OF ZAP0200SIX4XI ** YIELDED - SET MODULE TO: ", kb0200six2put [key0200six] [key2sense] [key2module])
                    message2print = "{(Step 6B22Z1/33) yielded" + "; module-yielded-by-zap2actor4xi: " + str(kb0200six2put [key0200six] [key2sense] [key2module])  + "; time: " + time4xi() + "}"
                    print4xi(class2print, method2print, message2print)                          
                except:    
                    print("\n (Step 6B22Z2/33) OF ZAP0200SIX4XI *** FAILED TO SET MODULE AT LAYER 0200 ***")          #  
                    # 
                                                                                                    
 
            # ---------------------------------------------------------------------------------------------------------------------- 
            # 
            # ----------------------------------------------------------------------------------------------------------------------                 
        else:
            pass
            
    # -------------------------------------------------------------------------------------------------
    # (Step 7/33) BUILD LINK LIST AT LAYER 0200 OF DIRECTION SIX 
    # -------------------------------------------------------------------------------------------------               
    if ack2debug is True:
        print("\n (Step 7A/33) OF ZAP0200SIX4XI - TRYING TO BUILD ORDER KNOWLEDGEBASE AT LAYER 0200 OF DIRECTION SIX FROM : ", kb0200six2put)
                                                                                                                                    # 
                                                                                                                                    # 
                                                                                                                                    # 

    try:                             
        keys0200six2put = kb0200six2put.keys()                                                                                      # 
        kb0200link4six = {} 
        order2link = 1
        for key0200six2put in keys0200six2put:
            key0200navigation4six = kb0200six2put [key0200six2put] [key2sense] [key2fire]                                           # input nodes embed fire number 
            kb0200link4six [order2link] = {}
            kb0200link4six [order2link] [key0200six2put] = {}
            kb0200link4six [order2link] [key0200six2put] [1]    = 0                                                                 # order                                                                                                                                 
            kb0200link4six [order2link] [key0200six2put] [2]    = '0x0y0z'                                                          # home                                                           
            kb0200link4six [order2link] [key0200six2put] [3]    = '0x0y0z'                                                          # previous
            kb0200link4six [order2link] [key0200six2put] [4]    = '0x0y0z'                                                          # next
            kb0200link4six [order2link] [key0200six2put] [5]    = '0x0y0z'                                                          # last
            kb0200link4six [order2link] [key0200six2put] [6]    = '0x0y0z'                                                          # first
            kb0200link4six [order2link] [key0200six2put] [7]    = 0                                                                 # fire number
            order2link = order2link + 1
            
        keys0200link4six = kb0200link4six.keys()                                                                                    # keys of input knowledgebase
        if ack2debug is True:
            for key0200link4six in sorted(keys0200link4six):                                                                        # keys of linklist
                if ack2debug is True:
                    print("\n (Step 7B/33) OF ZAP0200SIX4XI KB0200LINK4SIX[", key0200link4six, "]: ", kb0200link4six[key0200link4six])   
                                                                                                                                    # 
                                                                                                                                    # 
    except:
        print("\n (Step 7D/33) OF ZAP0200SIX4XI *** FAILED TO BUILD ORDER KNOWLEDGEBASE AT LAYER 0200 OF DIRECTION SIX: ", kb0200link4six) 
        message2print = "{(Step 7E/33) failed" + "; kb0200link4six-failed-by-zap0200six4xi: " + str(kb0200link4six) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
        
    # -------------------------------------------------------------------------------------------------
    # (Step 8A/33) BUILD FIRE LIST
    # -------------------------------------------------------------------------------------------------                       
    if ack2debug is True:
        print("\n (Step 8A1/33) OF ZAP0200SIX4XI - TRYING BUILD FIRE KNOWLEDGEBASE")
    try:
        kb0200fire4six = {}
        keys0200six2put = kb0200six2put.keys()                                                                                      #            
        for key0200six2put in keys0200six2put:
            key0200fire4six = kb0200six2put [key0200six2put] [key2sense] [key2fire]                                                 # 
            kb0200fire4six[key0200fire4six] = key0200six2put                                                                        # 
        if ack2debug is True:
            print("\n (Step 8A2/33) OF ZAP0200SIX4XI - BUILT FIRE KNOWLEDGEBASE: ", kb0200fire4six)                                 
            # 
          
    except:
        print("\n (Step 8A3/33) OF ZAP0200SIX4XI *** FAILED BUILD FIRE KNOWLEDGEBASE")
        message2print = "{(Step 8Z/33) failed" + "; kb0200fire4six-failed-by-zap0200six4xi: " + str(kb0200fire4six) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)          
       
    # -----------------------------------------------------------------------------------------------------------------------------
    # (Step 8C/33) EMBED FIRES TO LINK LIST  
    # -----------------------------------------------------------------------------------------------------------------------------         
    if ack2debug is True:
        print("\n (Step 8C1/33) OF ZAP0200SIX4XI - TRYING TO EMBED FIRES TO KNOWLEDGEBASE AT LAYER 0200 OF DIRECTION SIX")     

    keys2fire = kb0200fire4six.keys()
    rank2xi = 1
    for key2fire in sorted(keys2fire):                                                                                              #                                                                    
        # -------------------------------------------------------------------------------------------------------------------------
        # 
        # -------------------------------------------------------------------------------------------------------------------------                                                                                     
        if ack2debug is True:
            print("\n (Step 8C5/33) OF ZAP0200SIX4XI - KEY2FIRE: ", key2fire)                                                       # 

        coordinate2rank = kb0200fire4six[key2fire]                                                                                  #                                                             
        
        
        keys2link = kb0200link4six.keys()                                                                                           
        for keylink in keys2link:                                                                                                   # 
            try:
                if kb0200link4six [keylink] [coordinate2rank]  [7] == 0:            
                    kb0200link4six [keylink] [coordinate2rank] [7] = key2fire                                                       # 
                if kb0200link4six [keylink] [coordinate2rank]  [1] == 0:
                    kb0200link4six [keylink] [coordinate2rank] [1] = rank2xi                                                        # 
                    rank2xi = rank2xi + 1
                if ack2debug is True:    
                    print("\n (Step 8D10/33) OF ZAP0200SIX4XI - MATCH: UPDATED KB0200LINK4SIX: ", kb0200link4six)                   # 
                                                                                                                                    # 
                                                                                                                                    # 
            except:
                pass               

    
    # ---------------------------------------------------------------------------------------------------------------------
    # (Step 8D/33) PRINT LINKING LIST WITH SIX FIRE EMBEDDED  
    # ---------------------------------------------------------------------------------------------------------------------                    
    if ack2debug is True:
        print("\n (Step 8D1/33) OF ZAP0200SIX4XI - TRYING TO PRINT LINKING LIST WITH SIX FIRE EMBEDDED ")   
        try: 
            print("\n (Step 8C7/33) OF ZAP0200SIX4XI - KB0200LINK4SIX: ", kb0200link4six)                                           # 
        except:                                                                                                                         
            print("\n (Step 8Z4/33) OF ZAP0200SIX4XI *** FAILED TO PRINT LINKING LIST WITH SIX FIRE EMBEDDED") 
                        
            
    # -------------------------------------------------------------------------------------------------
    # (Step 8E/33) EMBED FIRES TO KNOWLEDGEBASE AT LAYER 0200 OF DIRECTION SIX
    # -------------------------------------------------------------------------------------------------         
    if ack2debug is True:
        print("\n (Step 8D1/33) OF ZAP0200SIX4XI - TRYING TO EMBED FIRES TO KNOWLEDGEBASE OF LAYER 0200 OF DIRECTION SIX")      
                                                                                                                           
    keys0200six2put = kb0200six2put.keys()
                                               
    # -------------------------------------------------------------------------------------------------
    # THE LATEST VALUES TO BE CHANGED DURING WALKTROUGHS
    # -------------------------------------------------------------------------------------------------     
    origin2link         = '0x0y0z'                                                                                                  # link to origin
    home2link           = '-0x-0y-0z'                                                                                               # unresolved-home  
    previous2link       = '-0x-0y-0z'                                                                                               # unresolved-previous 
    next2link           = '+0x+0y+0z'                                                                                               # unresolved-next 
    first2link          = '+0x+0y+0z'                                                                                               # unresolved-first 
    last2link           = '+0x+0y+0z'                                                                                               # unresolved-last 
    max2last            = 0                                                                                                         # maximun order number for the last node - default 0

                                                                                                             
    # -------------------------------------------------------------------------------------------------
    # (Step 8E1/33) THE FIRST WALKTROUGH TO EMBED FIRES TO KNOWLEDGEBASE OF LAYER 0200 OF DIRECTION SIX
    # -------------------------------------------------------------------------------------------------         
    if ack2debug is True:
        print("\n (Step 8E1a/33) OF ZAP0200SIX4XI - TRYING THE FIRST WALKTROUGH TO EMBED FIRES TO KNOWLEDGEBASE OF LAYER 0200 OF DIRECTION SIX")               
    for key0200six2put in keys0200six2put:
        # -------------------------------------------------------------------------------------------------
        # KNOWLEDGEBASE AT LAYER 0200 OF DIRECTION SIX
        # -------------------------------------------------------------------------------------------------                                                                                      
        if ack2debug is True:
            print("\n (Step 8E1b/33) OF ZAP0200SIX4XI KB0200LINK4SIX - KEY0200SIX2PUT: ", key0200six2put)                           # 
        keys2link = kb0200link4six.keys()
        for key2link in keys2link:
            if ack2debug is True:
                print("\n (Step 8E1c/33) OF ZAP0200SIX4XI KB0200LINK4SIX - KEY2LINK: ", key2link)                                   # 
            # ---------------------------------------------------------------------------------------------
            # LINK LIST AT LAYER 0200 OF DIRECTION SIX
            # ---------------------------------------------------------------------------------------------          
            try:
                kb2check = kb0200link4six[key2link]
                keys2check = kb2check.keys()
                for key2check in keys2check:
                    # ---------------------------------------------------------------------------------------------
                    # NODE(S) OF LINK LIST AT LAYER 0200 OF DIRECTION SIX
                    # -------------------------------------------------------------------------------------------                   
                    if key2check == key0200six2put: 
                        if ack2debug is True:
                            print("\n (Step 8E1d/33) OF ZAP0200SIX4XI KB0200LINK4SIX - MATCH WITH KEY0200SIX2PUT: ", key0200six2put) 
                                                                                                                                    #                                                                         
                        if kb0200link4six[key2link] [key0200six2put] [1] == 1:                                                      # the first nsix in fire order at this layer to required direction
                            if ack2debug is True:
                                print("\n (Step 8E1e/33) OF ZAP0200SIX4XI KB0200LINK4SIX - THE FIRT NODE: ", key0200six2put)        # 
                                  
                            # ---------------------------------------------------------------------------------
                            # SET LINKS OF THE FIRST NODE
                            # ---------------------------------------------------------------------------------                                                                              
                            first2link        = key0200six2put                                                                      # first-link points to this node                        
                            if ack2debug is True:
                                print("\n (Step 8E1f/33) OF ZAP0200SIX4XI KB0200LINK4SIX - SET FIRST2LINK TO: ", first2link)            
                                
                            # ---------------------------------------------------------------------------------
                            # EMBED LINKS OF THE FIRST NODE
                            # ---------------------------------------------------------------------------------                                                    
                            kb0200six2put [key0200six2put] [key2sense] [key2home]     = home2link                                   # 
                                                                     
                                                     
                            # ---------------------------------------------------------------------------------
                            # UPDATE AFTER THE FIRST NODE
                            # --------------------------------------------------------------------------------- 
                            if kb0200link4six[key2link] [key0200six2put] [1] > max2last:
                                last2link    = key0200six2put                                                                       # 
                                max2last     = kb0200link4six[key2link] [key0200six2put] [1]                                        # 
                        else:
                            if ack2debug is True:
                                print("\n (Step 8E1g/33) OF ZAP0200SIX4XI KB0200LINK4SIX - THE ", kb0200link4six[key2link] [key0200six2put] [1], ". NODE: ", key0200six2put)
                                                                                                                                    # 
                                                                                                                                    #         
                            # ---------------------------------------------------------------------------------
                            # SET LINKS OF TYPICAL NODE
                            # ---------------------------------------------------------------------------------
                                                                                                                                    # 
                            
                            # ---------------------------------------------------------------------------------
                            # EMBED LINKS OF TYPICAL NODE
                            # ---------------------------------------------------------------------------------                                                    
                            kb0200six2put [key0200six2put] [key2sense] [key2home]     = home2link                                   # only link to be updated for output!

                            # ---------------------------------------------------------------------------------
                            # UPDATE AFTER TYPICAL NODE 
                            # --------------------------------------------------------------------------------- 
                            if kb0200link4six[key2link] [key0200six2put] [1] > max2last:
                                last2link    = key0200six2put                                                                       # 
                                max2last     = kb0200link4six[key2link] [key0200six2put] [1]                                        #                   
                                                      
                           
                    else:
                        if ack2debug is True:
                            print("\n (Step 8E1h/33) OF ZAP0200SIX4XI KEY0200SIX2PUT - PASSED KEY2LINK: ", key2link, " WITH NODE: ", key0200six2put)              
            except:
                pass                                                                                                                # nodes with different links
    # -------------------------------------------------------------------------------------------------
    # 
    # -------------------------------------------------------------------------------------------------                                  
    if ack2debug is True:
        # key2home        = 14 [OK]
        print("\n (Step 8E1i/33) OF ZAP0200SIX4XI - LATEST FIRST: ", first2link)                                                    # 
        print("\n (Step 8E1j/33) OF ZAP0200SIX4XI - LATEST LAST: ", last2link)                                                      #                            
        print("\n (Step 8E1k/33) OF ZAP0200SIX4XI - LATEST MAX ORDER: ",max2last)                                                   #           
                
    # -------------------------------------------------------------------------------------------------
    # (Step 9/33) THE SECOND WALKTROUGH TO EMBED THE FIRST AND LAST LINK TO KNOWLEDGEBASE
    # -------------------------------------------------------------------------------------------------         
    if ack2debug is True:
        print("\n (Step 9A/33) OF ZAP0200SIX4XI - TRYING TO EMBED THE FIRST AND LAST LINK  TO KNOWLEDGEBASE OF LAYER 0200 OF DIRECTION SIX")
    try:      
        for key0200six2put in keys0200six2put:
            # ---------------------------------------------------------------------------------------------
            # KNOWLEDGEBASE AT LAYER 0200 OF DIRECTION SIX
            # ---------------------------------------------------------------------------------------------    
            kb0200six2put [key0200six2put] [key2sense] [key2first] = first2link
            kb0200six2put [key0200six2put] [key2sense] [key2last]  = last2link
        # ------------------------------------------------------------------------------------------------- 
        #
        # -------------------------------------------------------------------------------------------------             
        if ack2debug is True:    
            print("\n (Step 9B/33) OF ZAP0200SIX4XI - UPDATED THE FIRST AND LAST LINK TO KNOWLEDGEBASE OF LAYER 0200 OF DIRECTION SIX")
            print("\n (Step 9C/33) OF ZAP0200SIX4XI - KB0200SIX2PUT: ", kb0200six2put)
            # 
 
    except:        
        print("\n (Step 9Z/33) OF ZAP0200SIX4XI *** FAILED TO EMBED THE FIRST AND LAST LINK  TO KNOWLEDGEBASE OF LAYER 0200 OF DIRECTION SIX")
        message2print = "{(Step 9Z/33) failed" + "; kb0200six2put-failed-by-zap0200six4xi: " + str(kb0200six2put) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                  
    # -------------------------------------------------------------------------------------------------
    # (Step 10/33) THE THIRD WALKTROUGH TO EMBED PREVIOUS LINKS TO KNOWLEDGEBASE
    # -------------------------------------------------------------------------------------------------         
    if ack2debug is True:
        print("\n (Step 10A/33) OF ZAP0200SIX4XI - TRYING TO EMBED PREVIOUS LINKS TO KNOWLEDGEBASE OF LAYER 0200 OF DIRECTION SIX")
    try:    
        # 
        
        keys2link = kb0200link4six.keys()
        for key2link in keys2link:
            if ack2debug is True:
                print("\n (Step 10B/33) OF ZAP0200SIX4XI KB0200LINK4SIX - KEY2LINK: ", key2link)                                    # 
            # ---------------------------------------------------------------------------------------------------
            # LINK LIST AT LAYER 0200 OF DIRECTION SIX
            # ---------------------------------------------------------------------------------------------------          
            try:
                kb2check = kb0200link4six[key2link]                                                                                 # 
                keys2check = kb2check.keys()                                                                                        # 
                for key2check in keys2check: 
                                                                                                                                    #  
                    # -------------------------------------------------------------------------------------------
                    # PREVIOUS LINK
                    # -------------------------------------------------------------------------------------------                                                                                                                                             
                    if kb2check [key2check] [1] == 1:                                                                               # 1 = the first node
                        # ---------------------------------------------------------------------------------------
                        # FIRST NODE - UNRESOLVED-PREVIOUS FOR THE MAIN TO SOLVE FROM PREVIOUS LAYER LAST 
                        # ---------------------------------------------------------------------------------------
                        kb0200six2put [key2check] [key2sense] [key2previous] = previous2link                                        # 
                        if ack2debug is True:
                            print("\n (Step 10C/33) OF ZAP0200SIX4XI - PREVIOUS SET TO: ", previous2link, "  FOR THE FIRST NODE: ", key2check)
                                                                                                                                    # 
                    else:
                        # ---------------------------------------------------------------------------------------
                        # PREVIOUS TO OTHERS
                        # ---------------------------------------------------------------------------------------                 
                        order2previous = kb2check [key2check] [1] - 1                                                               # 
                        if ack2debug is True:
                            print("\n (Step 10D/33) OF ZAP0200SIX4XI ORDER OF PREVIOUS TO HUNT: ", order2previous, "  FOR NODE: ", key2check)
                                                                                                                                    # 
                                                                                                                                    # 
                        keys2hunt1 = kb0200link4six.keys()                                  
                        for key2hunt1 in keys2hunt1:                                                                                # 
                            # -----------------------------------------------------------------------------------
                            # HUNT PREVIOUS
                            # -----------------------------------------------------------------------------------
                            kb2check4hunt1 = kb0200link4six[key2hunt1]                                                              # 
                            keys2check4hunt1 = kb2check4hunt1.keys()                                                                # 
                            for key2check4hunt1 in keys2check4hunt1:
                                if kb2check4hunt1 [key2check4hunt1] [1] == order2previous:                                          # 
                                    kb0200six2put [key2check] [key2sense] [key2previous] = key2check4hunt1                          # 
                                    if ack2debug is True:
                                        print("\n (Step 10E/33) OF ZAP0200SIX4XI - PREVIOUS SET TO: ", key2check4hunt1, "  FOR NODE: ", key2check)
                                                                                                                                    # 
                                                                                                                                    # 
                            else:
                                pass

            except:        
                pass                    
        # ------------------------------------------------------------------------------------------------- 
        #
        # ------------------------------------------------------------------------------------------------- 
        # input link list:
        #                                          
        if ack2debug is True:    
            print("\n (Step 10B/33) OF ZAP0200SIX4XI - UPDATED PREVIOUS LINKS TO KNOWLEDGEBASE OF LAYER 0200 OF DIRECTION SIX")
            print("\n (Step 10C/33) OF ZAP0200SIX4XI - KB0200SIX2PUT: ", kb0200six2put)
            # 
            
    except:        
        print("\n (Step 10Z2/33) OF ZAP0200SIX4XI *** FAILED TO EMBED PREVIOUS LINKS TO KNOWLEDGEBASE OF LAYER 0200 OF DIRECTION SIX")
        message2print = "{(Step 10Z/33) failed" + "; kb0200six2put-failed-by-zap0200six4xi: " + str(kb0200six2put) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
    # -------------------------------------------------------------------------------------------------
    # (Step 11/33) THE THIRD WALKTROUGH TO EMBED NEXT LINKS TO KNOWLEDGEBASE
    # -------------------------------------------------------------------------------------------------         
    if ack2debug is True:
        print("\n (Step 11A/33) OF ZAP0200SIX4XI - TRYING TO EMBED NEXT LINKS TO KNOWLEDGEBASE OF LAYER 0200 OF DIRECTION SIX")
    try:
        # input link list:    
        # 
        
        keys2link = kb0200link4six.keys()
        for key2link in keys2link:
            if ack2debug is True:
                print("\n (Step 11B/33) OF ZAP0200SIX4XI KB0200LINK4SIX - KEY2LINK: ", key2link)                                    # 
            # ---------------------------------------------------------------------------------------------------
            # LINK LIST AT LAYER 0200 OF DIRECTION SIX
            # ---------------------------------------------------------------------------------------------------          
            try:
                kb2check = kb0200link4six[key2link]                                                                                 # 
                keys2check = kb2check.keys()                                                                                        # 

                for key2check in keys2check:                 
                    # -------------------------------------------------------------------------------------------
                    # NEXT LINK
                    # -------------------------------------------------------------------------------------------                                 
                    if kb2check [key2check] [1] == max2last:
                        # ---------------------------------------------------------------------------------------
                        # LAST NODE - UNRESOLVED-NEXT FOR THE MAIN TO SOLVE FROM NEXT LAYER FIRST
                        # --------------------------------------------------------------------------------------- 
                        kb0200six2put [key2check] [key2sense] [key2next] = next2link                                                # 
                        if ack2debug is True:
                            print("\n (Step 11F/33) OF ZAP0200SIX4XI - NEXT SET TO: ", next2link, "  FOR LAST NODE: ", key2check)
                                                                                                                                    #                      
                    else:
                        # ---------------------------------------------------------------------------------------
                        # NEXT TO OTHERS
                        # ---------------------------------------------------------------------------------------                     
                        order2next = kb2check [key2check] [1] + 1                                                                   # 
                        if ack2debug is True:
                            print("\n (Step 11E/33) OF ZAP0200SIX4XI ORDER OF NEXT TO HUNT: ", order2next, "  FOR NODE: ", key2check)
                                                                                                                                    # 
                                                                                                                                    #                    
                        keys2hunt2 = kb0200link4six.keys()                         
                        for key2hunt2 in keys2hunt2:
                            # -----------------------------------------------------------------------------------
                            # HUNT NEXT
                            # -----------------------------------------------------------------------------------
                            kb2check4hunt2 = kb0200link4six[key2hunt2] 
                            keys2check4hunt2 = kb2check4hunt2.keys()
                            for key2check4hunt2 in keys2check4hunt2: 
                                if kb2check4hunt2 [key2check4hunt2] [1] == order2next:                                                
                                    kb0200six2put [key2check] [key2sense] [key2next] = key2check4hunt2                              # 
                                    if ack2debug is True:
                                        print("\n (Step 11G/33) OF ZAP0200SIX4XI - NEXT SET TO: ", key2check4hunt2, "  FOR NODE: ", key2check)
                                                                                                                                    #            
                                else:
                                    pass
            except:        
                pass                    
        # ------------------------------------------------------------------------------------------------- 
        #
        # ------------------------------------------------------------------------------------------------- 
        # order numbers:
        #       
        # keys:
        # key2direction   = 1,  key2distance    = 2,  key2layer       = 3   {key2area4layer  = 1, key2color4layer = 2, key2qty4layer   = 3, key2area4node   = 4}
        # key2identity    = 4,  key2color       = 5,  key2fire        = 6,  key2cluster     = 7,  key2ray         = 8, key2deviation   = 9, key2super       = 10
        # key2message     = 11, key2actor       = 12, key2type        = 13, key2home        = 14
        # key2previous    = 15, key2next        = 16, key2last        = 17, key2first       = 18, key2module      = 19
                                                  
        if ack2debug is True:    
            print("\n (Step 11B/33) OF ZAP0200SIX4XI - UPDATED NEXT LINKS TO KNOWLEDGEBASE OF LAYER 0200 OF DIRECTION SIX")
            print("\n (Step 11C/33) OF ZAP0200SIX4XI - KB0200SIX2PUT: ", kb0200six2put)
            # 

    except:        
        print("\n (Step 10Z2/33) OF ZAP0200SIX4XI *** FAILED TO EMBED NEXT AND PREVIOUS LINKS TO KNOWLEDGEBASE OF LAYER 0200 OF DIRECTION SIX")
        message2print = "{(Step 10Z2/33) failed" + "; kb0200six2put-failed-by-zap0200six4xi: " + str(kb0200six2put) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                                                
    # -------------------------------------------------------------------------------------------------
    # (Step 21/33) PUT KNOWLEDGEBASE FOR LAYER 0200 OF DIRECTION SIX 
    # -------------------------------------------------------------------------------------------------                   
    try:
        queue0200six.put(kb0200six2put)
        ack0200put4six = True  
        if ack2debug is True:                                                                                                       # 
            print("\n (Step 21A/33) OF ZAP0200SIX4XI - SUCCEEDED TO PUT LAYER 0200 TO QUEUE: ", queue0200six, " KB2PUT: ", kb0200six2put)
            #  
       
        # minimize trace after module test:
        message2print = "{(Step 21B/33) put" + "; kb0200six2put-put-by-zap0200six4xi: " + str(kb0200six2put)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                                          #
        # {'-167x108y-12z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-167x108y-12z', 5: '#4C7094', 6: 202, 7: 30, 8: Decimal('199.241060025'), 9: Decimal('0'), 10: 6, 11: '{started; get-exitcode-to-name4xi-started: function get_exitcode_to_name4xi at 0x02AAD108; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'get_exitcode_to_name4xi', 13: 1, 14: '-0x-0y-0z', 15: '-165x62y-92z', 16: '-167x53y-94z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #  '-105x155y-67z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-105x155y-67z', 5: '#356C6C', 6: 256, 7: 20, 8: Decimal('198.844160085'), 9: Decimal('-1'), 10: 6, 11: '{returning; run-process4xi-returning-by-constant-process4xi: 0; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-104x37y-166z', 16: '-110x150y-72z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #   '-148x133y-6z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-148x133y-6z', 5: '#356C6C', 6: 274, 7: 20, 8: Decimal('199.070339328'), 9: Decimal('0'), 10: 6, 11: '{returning; stopped-process4xi-returning-by-constant-process4xi: stopped; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-147x105y-83z', 16: '-152x97y-85z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #  '-142x114y-82z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-142x114y-82z', 5: '#356C6C', 6: 271, 7: 20, 8: Decimal('199.709789445'), 9: Decimal('0'), 10: 6, 11: '{returning; initial-process4xi-returning-by-constant-process4xi: initial; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-141x141y-4z', 16: '-144x113y-78z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #   '-165x62y-92z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-165x62y-92z', 5: '#4C7094', 6: 201, 7: 30, 8: Decimal('198.829072321'), 9: Decimal('-1'), 10: 6, 11: '{returning; exitcode-to-name-get-function-returning-by-get-exitcode: built-in method get of dict object at 0x02AA5B70; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'get_exitcode_to_name4xi', 13: 1, 14: '-0x-0y-0z', 15: '-163x71y-91z', 16: '-167x108y-12z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #  '-147x105y-83z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-147x105y-83z', 5: '#356C6C', 6: 273, 7: 20, 8: Decimal('198.803923503'), 9: Decimal('-1'), 10: 6, 11: '{passed; constant-process4xi-param-passed-to-constant-process4xi: 6; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-144x113y-78z', 16: '-148x133y-6z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #  '-136x121y-80z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-136x121y-80z', 5: '#356C6C', 6: 267, 7: 20, 8: Decimal('198.839130958'), 9: Decimal('-1'), 10: 6, 11: '{passed; constant-process4xi-param-passed-to-constant-process4xi: 4; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-134x148y-2z', 16: '-139x121y-77z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #  '-101x56y-163z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-101x56y-163z', 5: '#356C6C', 6: 211, 7: 20, 8: Decimal('199.764861775'), 9: Decimal('0'), 10: 6, 11: '{borning; constantprocess2xi-of-ConstantProcess4Xi-borning: 08:11:13 10/21/10 Pacific Daylight Time}', 12: '__init__', 13: 2, 14: '-0x-0y-0z', 15: '-100x3y-172z', 16: '-102x156y-70z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: '__init__.py'}, '8xi': {}, '4xi': {}},
        #   '-13x76y-184z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-13x76y-184z', 5: '#356C6C', 6: 269, 7: 20, 8: Decimal('199.50187969'), 9: Decimal('0'), 10: 6, 11: '{started; constant-process4xi-started: function constant_process4xi at 0x02AA99C0; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-139x121y-77z', 16: '-141x141y-4z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #   '-152x97y-85z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-152x97y-85z', 5: '#356C6C', 6: 275, 7: 20, 8: Decimal('199.34392391'), 9: Decimal('0'), 10: 6, 11: '{started; constant-process4xi-started: function constant_process4xi at 0x02AA99C0; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-148x133y-6z', 16: '-155x125y-8z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #  '-104x25y-168z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-104x25y-168z', 5: '#356C6C', 6: 279, 7: 20, 8: Decimal('199.160739103'), 9: Decimal('0'), 10: 6, 11: '{started; set-all-of-ConstantProcess4Xi-started: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'set_all', 13: 2, 14: '-0x-0y-0z', 15: '-161x117y-10z', 16: '+0x+0y+0z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'import4xi.py'}, '8xi': {}, '4xi': {}},
        #   '-169x44y-96z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-169x44y-96z', 5: '#4C7094', 6: 204, 7: 30, 8: Decimal('199.281208346'), 9: Decimal('0'), 10: 6, 11: '{passed; get-exitcode-to-name4xi-param2-passed-to-get-exitcode-to-name4xi: -4; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'get_exitcode_to_name4xi', 13: 1, 14: '-0x-0y-0z', 15: '-167x53y-94z', 16: '-170x0y-105z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #  '-171x17y-101z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-171x17y-101z', 5: '#4C7094', 6: 207, 7: 30, 8: Decimal('199.326365542'), 9: Decimal('0'), 10: 6, 11: '{passed; get-exitcode-to-name4xi-param1-passed-to-get-exitcode-to-name4xi: -2; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'get_exitcode_to_name4xi', 13: 1, 14: '-0x-0y-0z', 15: '-170x35y-98z', 16: '-171x26y-99z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #   '-102x8y-171z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-102x8y-171z', 5: '#356C6C', 6: 249, 7: 20, 8: Decimal('199.271172024'), 9: Decimal('0'), 10: 6, 11: "{inherited; object-inherited-by-constantprocess2xi-of-ConstantProcess4Xi: class 'object'; time: 08:11:13 10/21/10 Pacific Daylight Time}", 12: '__init__', 13: 2, 14: '-0x-0y-0z', 15: '-102x49y-164z', 16: '-103x14y-170z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: '__init__.py'}, '8xi': {}, '4xi': {}},
        #  '-161x117y-10z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-161x117y-10z', 5: '#4C7094', 6: 278, 7: 30, 8: Decimal('199.273681152'), 9: Decimal('0'), 10: 6, 11: '{returning; true-returning-by-get-all-process4xi: True; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'get_all_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-156x89y-87z', 16: '-104x25y-168z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #  '-110x150y-72z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-110x150y-72z', 5: '#356C6C', 6: 257, 7: 20, 8: Decimal('199.459269025'), 9: Decimal('0'), 10: 6, 11: '{started; constant-process4xi-started: function constant_process4xi at 0x02AA99C0; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-105x155y-67z', 16: '-112x149y-69z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #  '-124x136y-76z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-124x136y-76z', 5: '#356C6C', 6: 261, 7: 20, 8: Decimal('199.118055434'), 9: Decimal('0'), 10: 6, 11: '{passed; constant-process4xi-param-passed-to-constant-process4xi: 2; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-120x143y-71z', 16: '-126x136y-73z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #  '-104x31y-167z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-104x31y-167z', 5: '#356C6C', 6: 254, 7: 20, 8: Decimal('199.163249622'), 9: Decimal('0'), 10: 6, 11: '{started; constant-process4xi-started: function constant_process4xi at 0x02AA99C0; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-159x80y-89z', 16: '-104x37y-166z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #   '-156x89y-87z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-156x89y-87z', 5: '#356C6C', 6: 277, 7: 20, 8: Decimal('199.564525906'), 9: Decimal('0'), 10: 6, 11: "{returning; exitcode-to-name-returning-by-constant-process4xi: {-22: 'SIGABRT', -21: 'SIGBREAK', -15: 'SIGTERM', -11: 'SIGSEGV', -8: 'SIGFPE', -4: 'SIGILL', -2: 'SIGINT'}; time: 08:11:13 10/21/10 Pacific Daylight Time}", 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-155x125y-8z', 16: '-161x117y-10z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #  '-102x49y-164z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-102x49y-164z', 5: '#356C6C', 6: 248, 7: 20, 8: Decimal('199.251097864'), 9: Decimal('0'), 10: 6, 11: '{activated; constantprocess2xi-of-ConstantProcess4Xi-activated: 08:11:13 10/21/10 Pacific Daylight Time}', 12: '__init__', 13: 2, 14: '-0x-0y-0z', 15: '-102x156y-70z', 16: '-102x8y-171z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: '__init__.py'}, '8xi': {}, '4xi': {}},
        #  '-139x121y-77z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-139x121y-77z', 5: '#356C6C', 6: 268, 7: 20, 8: Decimal('199.727314106'), 9: Decimal('0'), 10: 6, 11: '{returning; unknown-process4xi-returning-by-constant-process4xi: unknown; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-136x121y-80z', 16: '-13x76y-184z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #   '-167x53y-94z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-167x53y-94z', 5: '#4C7094', 6: 203, 7: 30, 8: Decimal('198.831587028'), 9: Decimal('-1'), 10: 6, 11: '{passed; get-exitcode-to-name4xi-param1-passed-to-get-exitcode-to-name4xi: -4; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'get_exitcode_to_name4xi', 13: 1, 14: '-0x-0y-0z', 15: '-167x108y-12z', 16: '-169x44y-96z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #  '-120x143y-71z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-120x143y-71z', 5: '#356C6C', 6: 260, 7: 20, 8: Decimal('199.724810677'), 9: Decimal('0'), 10: 6, 11: '{started; constant-process4xi-started: function constant_process4xi at 0x02AA99C0; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-117x143y-74z', 16: '-124x136y-76z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #  '-102x156y-70z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-102x156y-70z', 5: '#356C6C', 6: 212, 7: 20, 8: Decimal('199.097965836'), 9: Decimal('0'), 10: 6, 11: "{inheriting; object-inheriting-by-constantprocess2xi-of-ConstantProcess4Xi: class 'object'; time: 08:11:13 10/21/10 Pacific Daylight Time}", 12: '__init__', 13: 2, 14: '-0x-0y-0z', 15: '-101x56y-163z', 16: '-102x49y-164z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: '__init__.py'}, '8xi': {}, '4xi': {}},
        #  '-103x43y-165z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-103x43y-165z', 5: '#356C6C', 6: 252, 7: 20, 8: Decimal('199.205923607'), 9: Decimal('0'), 10: 6, 11: '{returning; get-all-process4xi-function-returning-by-get-all-of-ConstantProcess4Xi: function get_all_process4xi at 0x02AAD1E0; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'get_all', 13: 2, 14: '-0x-0y-0z', 15: '-103x20y-169z', 16: '-159x80y-89z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'import4xi.py'}, '8xi': {}, '4xi': {}},
        #  '-144x113y-78z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-144x113y-78z', 5: '#356C6C', 6: 272, 7: 20, 8: Decimal('198.969846962'), 9: Decimal('-1'), 10: 6, 11: '{started; constant-process4xi-started: function constant_process4xi at 0x02AA99C0; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-142x114y-82z', 16: '-147x105y-83z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #   '-171x8y-103z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-171x8y-103z', 5: '#4C7094', 6: 209, 7: 30, 8: Decimal('199.784884313'), 9: Decimal('0'), 10: 6, 11: '{returning; exitcode-to-name-get-function-returning-by-get-exitcode: built-in method get of dict object at 0x02AA5B70; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'get_exitcode_to_name4xi', 13: 1, 14: '-0x-0y-0z', 15: '-171x26y-99z', 16: '-100x3y-172z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #  '-130x129y-78z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-130x129y-78z', 5: '#356C6C', 6: 264, 7: 20, 8: Decimal('199.060292374'), 9: Decimal('0'), 10: 6, 11: '{passed; constant-process4xi-param-passed-to-constant-process4xi: 3; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-126x155y0z', 16: '-133x128y-75z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #  '-117x143y-74z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-117x143y-74z', 5: '#356C6C', 6: 259, 7: 20, 8: Decimal('199.032660636'), 9: Decimal('0'), 10: 6, 11: '{returning; close-process4xi-returning-by-constant-process4xi: 1; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-112x149y-69z', 16: '-120x143y-71z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #   '-171x26y-99z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-171x26y-99z', 5: '#4C7094', 6: 208, 7: 30, 8: Decimal('199.293753038'), 9: Decimal('0'), 10: 6, 11: '{passed; get-exitcode-to-name4xi-param2-passed-to-get-exitcode-to-name4xi: -2; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'get_exitcode_to_name4xi', 13: 1, 14: '-0x-0y-0z', 15: '-171x17y-101z', 16: '-171x8y-103z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #   '-100x3y-172z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-100x3y-172z', 5: '#356C6C', 6: 210, 7: 20, 8: Decimal('198.979898482'), 9: Decimal('-1'), 10: 6, 11: '{started; init-of-ConstantProcess4Xi-started: 08:11:13 10/21/10 Pacific Daylight Time}', 12: '__init__', 13: 2, 14: '-0x-0y-0z', 15: '-171x8y-103z', 16: '-101x56y-163z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: '__init__.py'}, '8xi': {}, '4xi': {}},
        #  '-103x20y-169z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-103x20y-169z', 5: '#356C6C', 6: 251, 7: 20, 8: Decimal('198.922095304'), 9: Decimal('-1'), 10: 6, 11: '{started; get-all-of-ConstantProcess4Xi-started: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'get_all', 13: 2, 14: '-0x-0y-0z', 15: '-103x14y-170z', 16: '-103x43y-165z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'import4xi.py'}, '8xi': {}, '4xi': {}},
        #   '-159x80y-89z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-159x80y-89z', 5: '#4C7094', 6: 253, 7: 30, 8: Decimal('199.002512547'), 9: Decimal('0'), 10: 6, 11: '{started; get-all-process4xi-started: function get_all_process4xi at 0x02AAD1E0; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'get_all_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-103x43y-165z', 16: '-104x31y-167z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #   '-134x148y-2z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-134x148y-2z', 5: '#356C6C', 6: 266, 7: 20, 8: Decimal('199.659710508'), 9: Decimal('0'), 10: 6, 11: '{started; constant-process4xi-started: function constant_process4xi at 0x02AA99C0; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-133x128y-75z', 16: '-136x121y-80z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #   '-141x141y-4z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-141x141y-4z', 5: '#356C6C', 6: 270, 7: 20, 8: Decimal('199.444227793'), 9: Decimal('0'), 10: 6, 11: '{passed; constant-process4xi-param-passed-to-constant-process4xi: 5; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-13x76y-184z', 16: '-142x114y-82z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #  '-112x149y-69z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-112x149y-69z', 5: '#356C6C', 6: 258, 7: 20, 8: Decimal('198.761163209'), 9: Decimal('-1'), 10: 6, 11: '{passed; constant-process4xi-param-passed-to-constant-process4xi: 1; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-110x150y-72z', 16: '-117x143y-74z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #  '-103x14y-170z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-103x14y-170z', 5: '#356C6C', 6: 250, 7: 20, 8: Decimal('199.261135197'), 9: Decimal('0'), 10: 6, 11: '{returning; init-of-ConstantProcess4Xi-returning: 08:11:13 10/21/10 Pacific Daylight Time}', 12: '__init__', 13: 2, 14: '-0x-0y-0z', 15: '-102x8y-171z', 16: '-103x20y-169z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: '__init__.py'}, '8xi': {}, '4xi': {}},
        #  '-104x37y-166z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-104x37y-166z', 5: '#356C6C', 6: 255, 7: 20, 8: Decimal('199.351448452'), 9: Decimal('0'), 10: 6, 11: '{passed; constant-process4xi-param-passed-to-constant-process4xi: 0; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-104x31y-167z', 16: '-105x155y-67z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #   '-170x0y-105z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-170x0y-105z', 5: '#4C7094', 6: 205, 7: 30, 8: Decimal('199.812412027'), 9: Decimal('0'), 10: 6, 11: '{returning; exitcode-to-name-get-function-returning-by-get-exitcode: built-in method get of dict object at 0x02AA5B70; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'get_exitcode_to_name4xi', 13: 1, 14: '-0x-0y-0z', 15: '-169x44y-96z', 16: '-170x35y-98z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #   '-170x35y-98z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-170x35y-98z', 5: '#4C7094', 6: 206, 7: 30, 8: Decimal('199.321348581'), 9: Decimal('0'), 10: 6, 11: '{started; get-exitcode-to-name4xi-started: function get_exitcode_to_name4xi at 0x02AAD108; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'get_exitcode_to_name4xi', 13: 1, 14: '-0x-0y-0z', 15: '-170x0y-105z', 16: '-171x17y-101z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #   '-155x125y-8z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-155x125y-8z', 5: '#356C6C', 6: 276, 7: 20, 8: Decimal('199.283717348'), 9: Decimal('0'), 10: 6, 11: '{passed; constant-process4xi-param-passed-to-constant-process4xi: 7; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-152x97y-85z', 16: '-156x89y-87z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #  '-126x136y-73z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-126x136y-73z', 5: '#356C6C', 6: 262, 7: 20, 8: Decimal('199.251097864'), 9: Decimal('0'), 10: 6, 11: '{returning; terminate-process4xi-returning-by-constant-process4xi: 2; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-124x136y-76z', 16: '-126x155y0z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #   '-163x71y-91z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-163x71y-91z', 5: '#4C7094', 6: 200, 7: 30, 8: Decimal('199.727314106'), 9: Decimal('0'), 10: 6, 11: '{passed; get-exitcode-to-name4xi-param2-passed-to-get-exitcode-to-name4xi: -8; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'get_exitcode_to_name4xi', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '-165x62y-92z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #  '-133x128y-75z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-133x128y-75z', 5: '#356C6C', 6: 265, 7: 20, 8: Decimal('199.243569532'), 9: Decimal('0'), 10: 6, 11: '{returning; startedprocess4xi-returning-by-constant-process4xi: started; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-130x129y-78z', 16: '-134x148y-2z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}},
        #    '-126x155y0z': {'2xi': {1: 6, 2: 200, 3: {1: 62831.853071795864, 2: '#9A9591', 3: 45, 4: 1396.2634015954636}, 4: 'dragon-126x155y0z', 5: '#356C6C', 6: 263, 7: 20, 8: Decimal('199.75234667'), 9: Decimal('0'), 10: 6, 11: '{started; constant-process4xi-started: function constant_process4xi at 0x02AA99C0; time: 08:11:13 10/21/10 Pacific Daylight Time}', 12: 'constant_process4xi', 13: 1, 14: '-0x-0y-0z', 15: '-126x136y-73z', 16: '-130x129y-78z', 17: '-104x25y-168z', 18: '-163x71y-91z', 19: 'constant_process4xi.py'}, '8xi': {}, '4xi': {}}}; time: 09:57:31 12/20/10 Pacific Standard Time}
         
    except:                                                                                                                
        print("\n (Step 21C/33) OF ZAP0200SIX4XI *** FAILED TO SET LAYER 0200 TO QUEUE0200SIX: ", queue0200six, " KB2PUT: ", kb0200six2put)                                                                                                         
        message2print = "{(Step 21C/33) failed" + "; queue0200six-put-failed-by-zap0200six4xi: " + str(queue0200six.put) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
        # 
           
    # -------------------------------------------------------------------------------------------------
    # (Step 20/33) MESSAGE ABOUT PUT OF KNOWLEDGEBASE FOR LAYER 0200 OF DIRECTION SIX 
    # -------------------------------------------------------------------------------------------------   
    if ack2debug is True:
        print("\n (Step 20A/33) OF ZAP0200SIX4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL0200SIX: ", publisher_channel0200six)
                                                                                                                                    # 
    if ack0200put4six is True:
        message2send4six = "<ack0200put4six4xi>layer0200six</ack0200put4six4xi>"
    else:
        message2send4six = "<nack0200put4six4xi>layer0200six</nack0200put4six4xi>" 
    message2print = "{(Step 20B/33) set" + "; message2send4six-set-by-zap0200six4xi to: " + str(message2send4six)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)                                                                              #       
     
                
    # -------------------------------------------------------------------------------------------------
    # (Step 21/33) SEND MESSAGE ABOUT PUT OF KNOWLEDGEBASE FOR LAYER 0200 OF DIRECTION SIX 
    # -------------------------------------------------------------------------------------------------                        
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        publisher_channel0200six.send(message2send4six)
        if ack2debug is True:     
            print("(Step 21A/33) OF ZAP0200SIX4XI -  SENT MESSAGE2SEND4SIX: ", message2send4six, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel0200six, " - TIME: ", time4xi()) 
                                                                                                                                    # 
        message2print = "{(Step 21B/33) sent" + "; message2send4six-sent-by-zap0200six4xi: " + str(message2send4six)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                                          #  
    except:
        print("(Step 21C/33) OF ZAP0200SIX4XI *** FAILED TO SEND MESSAGE2SEND4SIX: ", message2send4six, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel0200six, " - TIME: ", time4xi()) 
        message2print = "{(Step 21C/33) failed" + "; message2send4six-failed-by-zap0200six4xi: " + str(message2send4six) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                                                          # 
        
         
    # -------------------------------------------------------------------------------------------------
    # (Step 22/33) RETURN QUEUE OF LAYER 0200 OF DIRECTION SIX 
    # -------------------------------------------------------------------------------------------------               
    if ack2debug is True:        
        print("\n (Step 22A/33) OF ZAP0200SIX4XI - RETURNING QUEUE OBJECT QUEUE0200SIX: ", queue0200six, " - TIME: ", time4xi()) 
         
    message2print = "{(Step 22B/33) returning" + "; queue0200six-returning-by-zap0200six4xi: " + str(queue0200six) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)                                                                              # 
        
    return queue0200six    
        
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   zap2actor4xi.py
#   test_zap2actor4xi.py
#   test_zap2actor4xi.txt
#   sense-test-zap2actor4xi.xml
#   reason-test-zap2actor4xi.xml
#   ace-test-zap2actor4xi4xi.xml
#   scope-sense*4xi.xml
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 
#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of zap0200six4xi.py                           
# ------------------------------------------------------------------------------------------------- 
#"
#/>
